.TH "discover_sysdep_device_data" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
discover_sysdep_device_data \- 
.SH SYNOPSIS
.br
.PP
\fC#include <sysdep.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "char * \fBpath\fP"
.br
.ti -1c
.RI "char * \fBvalue\fP"
.br
.ti -1c
.RI "\fBdiscover_sysdep_device_data\fP * \fBnext\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Linked list node, used to return data specific to the sysdep/device in question, to be passed to the user under the 'device' data path. 
.PP
Definition at line 43 of file sysdep.h.
.SH "Field Documentation"
.PP 
.SS "struct \fBdiscover_sysdep_device_data\fP* \fBdiscover_sysdep_device_data::next\fP"
.PP
Pointer to the next data node 
.PP
Definition at line 49 of file sysdep.h.
.PP
Referenced by _discover_convert_device_data(), _discover_free_sysdep_device_data(), and _discover_sysdep_device_data_new().
.SS "char* \fBdiscover_sysdep_device_data::path\fP"
.PP
String giving the path for the data (not including 'device' 
.PP
Definition at line 45 of file sysdep.h.
.PP
Referenced by _discover_convert_device_data(), _discover_free_sysdep_device_data(), and _discover_sysdep_device_data_new().
.SS "char* \fBdiscover_sysdep_device_data::value\fP"
.PP
String with the data's value 
.PP
Definition at line 47 of file sysdep.h.
.PP
Referenced by _discover_convert_device_data(), _discover_free_sysdep_device_data(), and _discover_sysdep_device_data_new().

.SH "Author"
.PP 
Generated automatically by Doxygen for discover from the source code.
